package com.persagy;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.transaction.annotation.EnableTransactionManagement;

import com.persagy.common.annotation.EnableControllerLog;
import com.persagy.common.annotation.EnableIdGenerator;

@EnableIdGenerator
@EnableControllerLog
@EnableDiscoveryClient
@SpringBootApplication
@EnableTransactionManagement
@EnableFeignClients(basePackages = "com.persagy.calendar.client")
public class WorkCalendarApplication {

	public static void main(String[] args) {
		SpringApplication.run(WorkCalendarApplication.class, args);
	}
	
}
