package com.persagy.calendar.client.model;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 基础类，所有请求必带参数
 * @company persagy
 * @author zhangqiankun
 * @since 2020年11月25日:	下午8:02:38
 */
@Getter
@Setter
@ApiModel
@ToString
public class BaseModel {
	
	@NotBlank(message = "userId不可为空")
	@ApiModelProperty(value = "用户ID", required = true)
	private String userId;
	
	@NotBlank(message = "groupCode不可为空")
	@ApiModelProperty(value = "集团编码", required = true)
	private String groupCode;
	
	@NotBlank(message = "项目ID不可为空")
	@ApiModelProperty(value = "项目ID")
	private String projectId;
	
	@ApiModelProperty(value = "应用ID")
	private String appId;
	
}
