package com.persagy.calendar.pojo.old;

import java.util.List;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.persagy.common.constant.CommonConstant;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月4日:	下午1:30:03
 */
@Getter
@Setter
@ApiModel
public class OldCalendarIntervalCreateVO {
	
	@NotBlank(message = "code不可为空")
	@ApiModelProperty(value = "作息时段编码", required = true)
	private String code;			// 对应 dictCode
	
	@NotEmpty(message = "time不可为空")
	@ApiModelProperty(value = "一天内的时段", required = true)
	private List<String> time;		// 对应 value
	
	@Valid
	@NotEmpty(message = "dates不可为空")
	@ApiModelProperty(value = "dates", required = true)
	private List<DataRangeVO> dates;
	
	@JsonIgnore
	@ApiModelProperty(hidden = true)
	private String projectId = CommonConstant.DEFAULT_USER_ID;
	
}
