package com.persagy.calendar.pojo.old;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import com.persagy.calendar.constant.WorkCalendarConstant;
import com.persagy.common.constant.CommonConstant;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月4日:	下午1:48:06
 */
@Getter
@Setter
@ApiModel
public class OldCalendarIntervalsByTag {

	@NotBlank(message = "id不可为空")
	@ApiModelProperty(value = "工作历ID", required = true)
	private String id;
	
	@Valid
	@NotNull(message = "query不可为空")
	@ApiModelProperty(value = "query", required = true)
	private OldCalendarTagQueryVO query;
	
	@Valid
	@NotNull(message = "set_interval不可为空")
	@ApiModelProperty(value = "要设置的作息信息", required = true)
	private OldCalendarSetIntervalVO set_interval;
	
	@ApiModelProperty(hidden = true)
	private String projectId = CommonConstant.DEFAULT_USER_ID;
	
	// 0-新接口规则；1-老接口规则，方便后续解析
	@ApiModelProperty(hidden = true)
	private String ruleFlag = WorkCalendarConstant.WORK_CALENDAR_RULE_FLAG_OLD; 
	
}
