package com.persagy.calendar.pojo.old;

import java.util.Set;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月4日:	下午2:13:50
 */
@Getter
@Setter
@ApiModel
public class OldCalendarQueryVO {
	
	@NotBlank(message = "id不可为空")
	@ApiModelProperty(value = "工作历ID", required = true)
	private String id;
	
	@ApiModelProperty(value = "tags和intervals必填其一")
	private Set<String> tags;
	
	@ApiModelProperty(value = "tags和intervals必填其一")
	private Set<String> intervals;
	
	@Valid
	@NotNull(message = "dates不可为空")
	@ApiModelProperty(value = "dates日期段[YYYMMDD000000]", required = true)
	private DataRangeVO dates;
}
