package com.persagy.calendar.pojo.old;

import java.util.Set;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

import com.persagy.calendar.constant.WorkCalendarConstant;
import com.persagy.common.constant.CommonConstant;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月3日:	下午8:02:47
 */
@Getter
@Setter
@ApiModel
public class OldCalendarRuleCreateVO {
	
	@NotBlank(message = "id不可为空")
	@ApiModelProperty(value = "工作历ID", required = true)
	private String id;
	
	@NotBlank(message = "tag不可为空")
	@ApiModelProperty(value = "tag值", required = true)
	private String tag;
	
	@NotBlank(message = "type不可为空")
	@ApiModelProperty(value = "type值", required = true)
	private String type;
	
	@NotEmpty(message = "value不可为空")
	@ApiModelProperty(value = "value值", required = true)
	private Set<String> value;
	
	@ApiModelProperty(hidden = true)
	private String projectId = CommonConstant.DEFAULT_USER_ID;
	
	// 0-新接口规则；1-老接口规则，方便后续解析
	@ApiModelProperty(hidden = true)
	private String ruleFlag = WorkCalendarConstant.WORK_CALENDAR_RULE_FLAG_OLD; 
}
