package com.persagy.calendar.pojo.vo;

import java.util.List;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月3日:	下午2:26:22
 */
@Getter
@Setter
@ToString
@ApiModel(description = "字典值创建请求参数")
public class DictCreateVO<T> extends BaseVO {

	@ApiModelProperty(value = "工作历ID", required = true)
	private String calendarId; // 工作历ID
	
	@NotBlank(message = "字典类型不可为空")
	@ApiModelProperty(value = "字典类型", required = true)
	private String dictType; // 字典类型
	
	@Valid
	@NotEmpty(message = "字典类型不可为空")
	@ApiModelProperty(value = "字典类型", required = true)
	private List<T> codes;
	
}
