package com.persagy.calendar.pojo.vo;

import java.util.Set;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月3日:	下午2:26:22
 */
@Getter
@Setter
@ToString
@ApiModel(description = "删除自定义作息时间请求参数")
public class WorkCalendarDateDeleteVO extends BaseQueryVO {

	@NotBlank(message = "字典类型，不可为空")
	@ApiModelProperty(value = "字典类型", required = true)
	private String dictType; // 字典类型

	//@NotEmpty(message = "字典数据code，不可为空")
	@ApiModelProperty(value = "字典数据code", required = true)
	private Set<String> dictCode; // 字典数据code
	
	@ApiModelProperty(value = "作息时间点[YYYYMMDD]", required = true)
	private String workDate; // 具体执行日期，新接口YYYYMMDD
	
	@NotBlank(message = "workDateStart不可为空[YYYYMMDD]")
	@ApiModelProperty(value = "查询从此日开始的作息详情 [YYYYMMDD]")
	private String workDateStart; // 具体执行日期 YYYYMMDD
	
	@NotBlank(message = "workDateEnd不可为空[YYYYMMDD]")
	@ApiModelProperty(value = "查询从此日结束的作息详情 [YYYYMMDD]")
	private String workDateEnd; // 具体执行日期 YYYYMMDD
	
}
