package com.persagy.calendar.pojo.vo;

import java.util.Set;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月8日:	下午8:09:04
 */
@Getter
@Setter
@ApiModel
@ToString
public class WorkCalendarObjectUpdateVO {

	@NotBlank(message = "用户ID，不可为空")
	@ApiModelProperty(value = "用户ID", required = true)
	private String userId;
	
	@ApiModelProperty(value = "集团编码", required = true)
	private String groupCode;
	
	//@NotBlank(message = "项目ID，不可为空")
	@ApiModelProperty(value = "项目ID", required = true)
	private String projectId; 		// 项目
	
	@ApiModelProperty(value = "工作历ID", required = true)
	private String calendarId; 	// 工作历ID
	
	@ApiModelProperty(value = "对象ID集合，空间、建筑、楼层、项目", example = "Sp4403070003f55c8b33cf1f45e5bfc699caaba4eedc")
	private Set<String> objIds;
	
	@ApiModelProperty(value = "对象ID集合，空间、建筑、楼层、项目", example = "Sp4403070003f55c8b33cf1f45e5bfc699caaba4eedc")
	private String objId;
	
}
