package com.persagy.calendar.service;

import java.util.List;

import com.persagy.calendar.pojo.dto.WorkCalendarDict;
import com.persagy.db.service.ISuperService;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月4日:	上午9:48:23
 */
public interface IWorkCalendarDictService extends ISuperService<WorkCalendarDict> {

	/**
	 * 查询出对应条件下的字典数据，不在此字典定义中的，一律默认属于工作历级别
	 * 
	 * @param groupCode
	 * @param projectId
	 * @param calendarId
	 * @param dictType
	 * @param dictCode
	 * @return
	 */
	List<WorkCalendarDict> queryWorkCalendarDictList(String groupCode, String projectId, String calendarId, String dictType, String dictCode);
	
	/**
	 * 获取字典类型对应的字典级别
	 * 
	 * @param groupCode
	 * @param dictType
	 * @return 0-集团级别，1-项目级别，2-工作历级别
	 */
	int getDictTypeLevel(String groupCode, String dictType);
	
	/**
	 * 批量创建字典类型
	 * 
	 * @param calendarDicts
	 */
	boolean batchCreateDictTypeByDelete(List<WorkCalendarDict> calendarDicts);

	/**
	 * 批量创建字典类型
	 * 
	 * @param calendarDicts
	 * @return
	 */
	boolean batchCreateCalendarDict(List<WorkCalendarDict> calendarDicts);

}
