package com.persagy.dye.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.dye.pojo.dto.DyeRuleDefault;
import com.persagy.dye.pojo.vo.DyeScaleplateVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 默认染色规则
 *
 * @author yangwanyi
 * @version v1.0.0
 * @company persagy
 * @date 2021-10-25 15:58:56
 */
@Mapper
public interface DyeRuleDefaultMapper extends BaseMapper<DyeRuleDefault> {

    /**
     * 查询指定集团、项目和类型的默认染色标尺列表
     *
     * @param dyeScaleplateVO
     * @return
     */
    List<DyeRuleDefault> listDyeRuleDefaultByType(DyeScaleplateVO dyeScaleplateVO);

    /**
     * 获取指定集团、项目和类型和数值的默认染色标尺
     *
     * @param dyeScaleplateVO
     * @param numValue
     * @return DyeRuleDefault
     */
    DyeRuleDefault getDistrictDyeRuleDefault(@Param("dyeScaleplateVO") DyeScaleplateVO dyeScaleplateVO, @Param("numValue") Integer numValue);
}
